name: github pages

on:
  push:
    branches:
    - main

jobs:
  build-deploy:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v4
    - uses: actions/setup-node@v4
      with:
        node-version: 25
        ref: main
        submodules: true
        fetch-depth: 0
    - run: |
           cd atmosphere/
           npm i

    - name: Build
      env: 
        TZ: "Asia/Tokyo"
      run: |
        cd atmosphere/
        npm run build

    - name: Deploy
      uses: peaceiris/actions-gh-pages@v3
      with:
        github_token: ${{ secrets.GITHUB_TOKEN }}
        publish_dir: ./atmosphere/dist
        user_name: 'ai[bot]'
        user_email: '138105980+yui-syui-ai[bot]@users.noreply.github.com'
